Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class JspCharStream

    java.lang.Object
      net.sourceforge.pmd.ast.JavaCharStream
          net.sourceforge.pmd.jsp.ast.JspCharStream

All Implemented Interfaces:
  CharStream, CharStream

public class JspCharStream
extends JavaCharStream
implements CharStream

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.JavaCharStream
`bufcolumn, buffer, bufline, bufpos, column, inBuf, inputStream, line, maxNextCharInd, nextCharBuf, nextCharInd, prevCharIsCR, prevCharIsLF, staticFlag`

Constructor Summary
`JspCharStream(java.io.InputStream dstream)`
`JspCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`JspCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`JspCharStream(java.io.Reader dstream)`
`JspCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`JspCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class net.sourceforge.pmd.ast.JavaCharStream
`adjustBeginLineColumn, AdjustBuffSize, backup, BeginToken, Done, ExpandBuff, FillBuff, getBeginColumn, getBeginLine, getColumn, getEndColumn, getEndLine, GetImage, getLine, GetSuffix, ReadByte, readChar, ReInit, ReInit, ReInit, ReInit, ReInit, ReInit, UpdateLineColumn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.jsp.ast.CharStream
`backup, BeginToken, Done, getBeginColumn, getBeginLine, getColumn, getEndColumn, getEndLine, GetImage, getLine, GetSuffix, readChar`

Constructor Detail

### JspCharStream

    public JspCharStream(java.io.InputStream dstream,
                         int startline,
                         int startcolumn,
                         int buffersize)

### JspCharStream

    public JspCharStream(java.io.InputStream dstream,
                         int startline,
                         int startcolumn)

### JspCharStream

    public JspCharStream(java.io.InputStream dstream)

### JspCharStream

    public JspCharStream(java.io.Reader dstream,
                         int startline,
                         int startcolumn,
                         int buffersize)

### JspCharStream

    public JspCharStream(java.io.Reader dstream,
                         int startline,
                         int startcolumn)

### JspCharStream

    public JspCharStream(java.io.Reader dstream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.